View Issue Details

IDProjectCategoryView StatusLast Update
0004414SymmetricDSNew Featurepublic2020-10-06 18:00
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.11.10 
Fixed in Version3.11.13 
Summary0004414: SQL Server supports data compression on tables and indexes, add support for this in DDLUtils
Descriptioncreate table t1 ...
WITH (data_compression = row);

create index It1 on table ...
WITH (data_compression = row);
Tagsddl/schema, dialect: sql-server

Relationships

related to 0004579 resolvedpmarzullo SQL Server supports data compression on tables and indexes, add support for this in DDLUtils 

Activities

brenttempleton

2020-06-04 14:46

reporter   ~0001724

please also support page level compression as well as row.
create table t1 ...
WITH (data_compression = page);

create index It1 on table ...
WITH (data_compression = page);

Related Changesets

SymmetricDS: 3.11 eec7e0ff

2020-10-06 17:48:51

pmarzullo

Details Diff
0004414: SQL Server supports data compression on tables and indexes, add
support for this in DDLUtils
Affected Issues
0004414
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/model/CompressionTypes.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IndexImpBase.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/NonUniqueIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/UniqueIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: 3.12 7aacd041

2020-10-06 17:48:51

pmarzullo

Details Diff
0004414: SQL Server supports data compression on tables and indexes, add
support for this in DDLUtils
Affected Issues
0004414
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/model/CompressionTypes.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IndexImpBase.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/NonUniqueIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/UniqueIndex.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2020-06-04 14:31 pmarzullo New Issue
2020-06-04 14:31 pmarzullo Tag Attached: ddl/schema
2020-06-04 14:31 pmarzullo Tag Attached: dialect: sql-server
2020-06-04 14:46 brenttempleton Note Added: 0001724
2020-07-06 12:59 pmarzullo Assigned To => pmarzullo
2020-07-06 12:59 pmarzullo Status new => assigned
2020-10-06 17:47 pmarzullo Relationship added related to 0004579
2020-10-06 17:52 pmarzullo Status assigned => resolved
2020-10-06 17:52 pmarzullo Resolution open => fixed
2020-10-06 17:52 pmarzullo Fixed in Version => 3.11.13
2020-10-06 18:00 pmarzullo Changeset attached => SymmetricDS 3.11 eec7e0ff
2020-10-06 18:00 pmarzullo Changeset attached => SymmetricDS 3.12 7aacd041